Go to the latest version of this document.

# ``twisted`.`web`.`iweb`.`IUsernameDigestHash``

interface documentation

`class IUsernameDigestHash(ICredentials): (source)`

Known implementations: `twisted.cred.credentials.DigestedCredentials`

View In Hierarchy

This credential is used when a CredentialChecker has access to the hash of the username:realm:password as in an Apache .htdigest file.

Method | `checkHash` | No summary

def checkHash(digestHash): (source)

Parameters
digestHash | The hashed username:realm:password to check against.

Returns
`True` if the credentials represented by this object match the given hash, `False` if they do not, or a `Deferred` which will be called back with one of these values.